Target version:
Pull request:

Description

Related issues:

Has duplicate Foreman - Feature #147: Display class selection for hosts based...

Has duplicate Foreman - Feature #123: Sort list of assigned classes
Has duplicate Foreman - Feature #66: Add Logic to host edit page

Blocks Foreman - Feature #183: Add a searchbar facility to the hosts page

Closed
Closed
Closed
Closed

01/05/2010
12/09/2009
11/05/2009
03/20/2010

Associated revisions

Revision b09b4515 - 04/28/2010 10:12 AM - Ohad Levy

Fixes #193 - move hosts controller away from AS

¢ Remove active scaffold from hosts controller.
changed default host graphs from one day for up to one week

added dynamic dropdown boxes for host creation / edit page (e.g. for puppet classes, operating systems etc).

Renamed puppetgroups to hostgroups for consistency

L]
L]
e converted puppet class selection to a template, using it in hostgroups and hosts edit page.
L]
L]

Added search option to list, this include search by facts as well

History

#1 - 03/29/2010 06:17 AM - Ohad Levy
- Branch set to fhttp://github.com/ohadlevy/foreman/tree/feature-193

#2 - 04/28/2010 10:20 AM - Ohad Levy
- Status changed from New to Ready For Testing
- % Done changed from 0 to 100

Applied in changeset b09b451583194c3bae7cafc2b5331f1319c4681a.

#3 - 04/28/2010 04:31 PM - Ohad Levy
- Status changed from Ready For Testing to Assigned

#4 - 04/28/2010 04:32 PM - Ohad Levy

- Status changed from Assigned to Closed
